%define plugin	imonlcd

Summary:	VDR plugin: Control an iMON LCD
Name:		vdr-plugin-%plugin
Version:	1.0.3
Release:	%mkrel 3
Group:		Video/Utilities
License:	GPLv3
URL:		http://projects.vdr-developer.org/projects/plg-imonlcd
Source0:	https://github.com/vdr-projects/vdr-plugin-imonlcd/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		vdr-plugin-imonlcd-std.patch
BuildRequires:	pkgconfig(vdr) >= 1.6.0
BuildRequires:	freetype2-devel
Requires:	vdr-abi = %vdr_abi

%description
A Video Disk Recorder plugin that shows information about the
current state of VDR on an iMON LCD screen.

%prep
%autosetup -p1

%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# Sets the lcd-device to other device than /dev/lcd0
var=LCD_DEVICE
param="-d LCD_DEVICE"
# sets the protocol of lcd-device:
# '0038'	For LCD with ID 15c2:0038 SoundGraph Inc (default)
# 'ffdc'	For LCD with ID 15c2:ffdc SoundGraph Inc
var=PROTOCOL
param="-p PROTOCOL"
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README HISTORY


%changelog
* Tue Aug 16 2022 neoclust <neoclust> 1.0.3-3.mga9
+ Revision: 1878115
- Build against new vdr

* Wed Mar 30 2022 umeabot <umeabot> 1.0.3-2.mga9
+ Revision: 1834798
- Mageia 9 Mass Rebuild

* Sun Aug 22 2021 wally <wally> 1.0.3-1.mga9
+ Revision: 1742283
- new version 1.0.3
- rebuild for vdr 2.4.6

* Fri Feb 14 2020 umeabot <umeabot> 1.0.1-9.mga8
+ Revision: 1517764
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-8.mga7
+ Revision: 1301584
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.0.1-7.mga6
+ Revision: 951647
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 1.0.1-6.mga5
+ Revision: 808490
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 1.0.1-5.mga5
+ Revision: 798671
- rebuild for new VDR
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-2.mga4
+ Revision: 545118
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 anssi <anssi> 1.0.1-1.mga4
+ Revision: 497692
- new version 1.0.1

* Mon Jan 14 2013 umeabot <umeabot> 0.0.5-5.mga3
+ Revision: 385274
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.0.5-4.mga3
+ Revision: 325508
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.0.5-3.mga2
+ Revision: 221045
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.0.5-2.mga2
+ Revision: 214799
- new version 0.0.5
- drop include patch, applied upstream
- drop obsolete scriptlets
- update URL
- imported package vdr-plugin-imonlcd


* Mon Oct 26 2009 Anssi Hannula <anssi@mandriva.org> 0.0.2-1.20091026.1mdv2010.1
+ Revision: 459413
- do not include unused fontconfig header (drop-extra-include.patch)
- initial Mandriva release

